Skip to main content
Contacts

Get a contact by contact id

This method requires the Contacts:Get permission to be associated with your role

GET
/fm/contacts/{contact_id}
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
contact_idstringrequired
Maximum string length: 20
Pattern: ^[1-9]{1}[0-9]*$

Response

application/vnd.catch-e-api.v1+json

Success

address1string
Example: Level 1
address2string
Example: 111 Street name
allocationsobject[]
areastring
Example:
contact_idstring
Example: 1234567890123456789
contact_job_title_idstring
Example: 1234567890123456789
contact_type_allocationsobject[]
country_idstring
Example: 12312312312312312312
emailstring
Example: hello@catch-e.com.au
given_namestring
Example: Abc
mobilestring

Mobile number should follow e164 format

Example: +61423456789
notestring
Example: Any note in relation to the contact
phonestring

Phone number should follow e164 format

Example: +61391234567
postcodestring
Example: 3173
salutationenum<string>
Available options: Mr, Mrs, Ms, Miss, Mx, Dr, Prof, Rev, Capt
Example: Mrs
state_idstring
Example: 100000
status_flagenum<string>
Available options: active, inactive
Example: active
surnamestring
Example: Def